## fsearch 0.2.3

=== meson_options.txt ===
option('channel',
          type: 'combo',
       choices: [ 'other', 'AUR-stable', 'AUR-devel', 'copr-stable', 'copr-nightly', 'PPA-stable', 'PPA-nightly', 'snap-stable', 'snap-nightly', 'flathub-stable', 'flathub-nightly', 'OBS-deb-stable', 'OBS-rpm-stable' ],
   description: 'The distribution channel for FSearch',
)

## fsearch 0.1~b2+git20171010

=== debian/changelog ===
fsearch (0.1~b2+git20171010-1mx15+1) mx; urgency=medium

  * New git version.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 12 Oct 2017 18:33:51 -0700

fsearch (0.1~b2+git20170531-1mx15+1) mx; urgency=medium

  * New version from git; rebuild for MX-15.
    - adds support for older GTK+3 >= 3.12.
  * Convert to 3.0 (quilt) source package.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 31 May 2017 11:29:50 -0700

fsearch (0.1+295+9~ubuntu17.04.1) zesty; urgency=low

  * Auto build.

 -- Christian Boxdörfer <christian.boxdoerfer@posteo.de>  Fri, 26 May 2017 20:01:19 +0000

fsearch (0.1) UNRELEASED; urgency=medium

  * initial release

 -- Christian Boxdörfer <christian.boxdoerfer@posteo.de>  Wed, 19 Oct 2016 21:31:50 +0200

=== debian/control ===
Source: fsearch
Section: utils
Priority: optional
Homepage: https://cboxdoerfer.github.io/fsearch/
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Boxdörfer <christian.boxdoerfer@posteo.de>
Build-Depends: debhelper (>=9),
    autotools-dev,
    automake,
    autoconf,
    libtool,
    pkg-config,
    intltool,
    autoconf-archive,
    libpcre3-dev,
    libglib2.0-dev,
    libgtk-3-dev (>= 3.12),
    libxml2-utils
Standards-Version: 3.9.6

Package: fsearch
Architecture: any
Conflicts: fsearch-dev, fsearch-trunk
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast file search utility
    FSearch is a fast file search utility for Unix operating systems,
    inspired by Everything Search Engine and based on GTK+3.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@  --with autotools_dev --parallel


# dh_make generated override targets
override_dh_auto_configure:
	./autogen.sh
	./configure --enable-debug --prefix=/usr

## fsearch 0.1

=== debian/changelog ===
fsearch (0.1-1~mx19+1) mx; urgency=medium

  * Import new 0.1 release.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 28 Sep 2021 14:35:31 -0700

fsearch (0.1.b2+git20191012-1mx19) mx; urgency=medium

  * Build for MX-19 incorporating the  last two years commits

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 24 Oct 2019 14:34:29 -0400

fsearch (0.1~b2+git20171010-1mx17+1) mx; urgency=medium

  * New git version.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 12 Oct 2017 18:33:51 -0700

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	./autogen.sh
	./configure --enable-debug --prefix=/usr

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## fsearch 0.2.2

=== debian/changelog ===
fsearch (0.2.2-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux 23.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 26 Jun 2023 11:32:36 -0700

fsearch (0.2.2-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 23 Aug 2022 13:36:51 -0700

fsearch (0.2.2) unstable; urgency=medium

  * New upstream release.

 -- Christian Boxdörfer <christian.boxdoerfer@posteo.de>  Mon, 22 Aug 2022 12:05:35 +0200

fsearch (0.2.1) unstable; urgency=medium

  * New upstream release.

 -- Christian Boxdörfer <christian.boxdoerfer@posteo.de>  Wed, 17 Aug 2022 19:49:55 +0200

fsearch (0.2) unstable; urgency=medium

  * New upstream release.

 -- Christian Boxdörfer <christian.boxdoerfer@posteo.de>  Mon, 15 Aug 2022 14:35:12 +0200

fsearch (0.1) unstable; urgency=medium

  * Initial Release.

 -- Christian Boxdörfer <christian.boxdoerfer@posteo.de>  Sat, 25 Sep 2021 13:16:38 +0200

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1


%:
	dh $@

# override_dh_auto_configure:
#	dh_auto_configure -- \
#	-Dchannel=PPA-stable

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## fsearch 0.2.3

=== debian/changelog ===
fsearch (0.2.3-6) unstable; urgency=medium

  * 'debian/control':
    - Update 'Standards-Version' to 4.7.2, no changes required.
  * 'debian/patches':
    - Add '2481ae081ddddf62f68892594e220efaacd01d64.patch', fixes i386 build.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sat, 05 Jul 2025 07:35:38 +0100

fsearch (0.2.3-5) unstable; urgency=medium

  * 'd/control': Update 'Standards-Version' to 4.7.1, no changes required.
  * Add 'd/salsa-ci.yml' to enable Continuous Integration (CI).
  * Add simple 'd/gbp' to start us off.

 -- Phil Wyett <philip.wyett@kathenas.org>  Mon, 24 Feb 2025 10:04:12 +0000

fsearch (0.2.3-4) unstable; urgency=medium

  * Adoption of package. (Closes: #1093569)

  * 'd/control':
    - Add myself as maintainer.
    - Add 'Rules-Requires-Root: no'.
  * 'd/copyright':
    - Add upstream contact.
    - Add myself to 'Files: debian/*' section.
    - Change 'GPL-2.0-or-later' to 'GPL-2+', fixing license checking issue.
    - 'Files: data/io.github.cboxdoerfer.FSearch.appdata.xml.in' change to
      correct 'CC0-1.0'.
  * Add 'd/watch' file.
  * Add 'd/upstream/metadata'.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 09 Feb 2025 11:06:22 +0000

fsearch (0.2.3-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1093569)

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jan 2025 18:41:06 -0500

fsearch (0.2.3-2) unstable; urgency=medium

  * debian/patches/1f3c033d45f2b3b453606957954c42cdf8aa0df0.patch:
    Add upstream patch to fix Wayland icon issue.

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Oct 2024 11:01:16 -0400

fsearch (0.2.3-1) unstable; urgency=medium

  * Initial release. (Closes: #908891)

 -- Boyuan Yang <byang@debian.org>  Tue, 16 Jul 2024 21:53:51 -0400

=== debian/control ===
Source: fsearch
Section: utils
Maintainer: Phil Wyett <philip.wyett@kathenas.org>
Priority: optional
Build-Depends:
 appstream,
 debhelper-compat (= 13),
 libglib2.0-dev,
 libgtk-3-dev,
 libicu-dev,
 libpcre2-dev,
 libxml2-utils,
 meson,
 pkgconf,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://cboxdoerfer.github.io/fsearch/
Vcs-Git: https://salsa.debian.org/debian/fsearch.git
Vcs-Browser: https://salsa.debian.org/debian/fsearch

Package: fsearch
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fast graphical file search utility
 FSearch is a fast file search utility, based on GTK3.
 It supports regular expressions, wildcards, fast sorting,
 instant results with millions of files and more.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%" \
https://api.github.com/repos/cboxdoerfer/fsearch/releases?per_page=100 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@
